%global commit f22f9eac28b5e1418abe3d96df15d6900015b88d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-cxf
Version:        0.14.0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        M2E CXF connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-cxf/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-cxf/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.resources)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)
BuildRequires:  osgi(org.eclipse.m2e.maven.runtime)

%description
This package provides CXF connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-cxf-%{commit}
find -name *.jar -delete

# Fedora has newer version of M2E.  Relax bundle version requirements.
sed -i 's/\[1.0.0,1.2.0)/[1.0.0,2.0.0)/' $(find -name *.MF)

%build
%mvn_build -i -j

%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse/dropins/%{name}
cp -a eclipse %{buildroot}%{_datadir}/eclipse/dropins/%{name}/

%files
%doc org.sonatype.m2e.cxf.feature/license.html
%{_datadir}/eclipse/dropins/%{name}

%changelog
* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.1.gitf22f9ea
- Initial commit
